<?php
class SciencesAvenirBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Sciences Avenir Bridge';
	const URI = 'https://www.sciencesetavenir.fr/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request Sciences Avenir : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('div.article-image img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->data-src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.article-chapo', 0)->innertext
		);
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('section.content div.article-aside-bottom article.container-inside-right', 0)->innertext
		);
		
		$article_content = stripWithDelimiters($article_content, '<script', '</script>');

		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . 'rss.xml';
		$this->collectExpandableDatas($feedUrl);
	}
}
